Subject: Guix suggests adding modules that define but don't export the variable

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Sat, 19 Sep 2020 01:19:52 +0200

Guix,

Quick bug report from tribals on #guix:

> Does `gnu/packages/firmware.scm` export `make-arm-trusted-firmware`?
> I'm getting error "error: make-arm-trusted-firmware: unbound variable"
> "hint: Did you forget `(use-modules (gnu packages firmware))'?" when
> trying to use it. And I also did `(use-modules (gnu packages 
> firmware))`

Is it possible for Guix not to suggest private variables, or print a 
different hint in such cases?

Kind regards,

T G-R

Sent from a Web browser. Excuse or enjoy my brevity.